Skip to main content
PUT
/
api
/
v2
/
network
/
offers
/
{offer_id}
/
goals
/
{goal_id}
Update goal
curl --request PUT \
  --url https://{domain}/api/v2/network/offers/{offer_id}/goals/{goal_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "title": "string",
  "type": 1,
  "status": 1,
  "tracking_method": 1,
  "revenue": 1
}
'
import requests

url = "https://{domain}/api/v2/network/offers/{offer_id}/goals/{goal_id}"

payload = {
"title": "string",
"type": 1,
"status": 1,
"tracking_method": 1,
"revenue": 1
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'string', type: 1, status: 1, tracking_method: 1, revenue: 1})
};

fetch('https://{domain}/api/v2/network/offers/{offer_id}/goals/{goal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "goal": {}
  }
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "Resource not found.",
"success": false
}
{
"message": "Validation error",
"success": false,
"info": {
"errors": {
"email": [
"Email cannot be blank."
],
"currency": [
"Currency must be a valid ISO code."
]
}
}
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Path Parameters

offer_id
integer
required

Offer ID.

goal_id
integer
required

Goal ID.

Body

application/json
title
string
Maximum string length: 128
type
integer
status
integer
tracking_method
integer
revenue
number
payout
number
conversion_status
integer
multiple_conversions
enum<integer>
Available options:
0,
1
is_private
enum<integer>
Available options:
0,
1
alias
string
Maximum string length: 64
hold_period
string
caps
string
fire_affiliate_postback
enum<integer>
Available options:
0,
1
unique_track_id
enum<integer>
Available options:
0,
1
payout_for_affiliate
string

Response

Goal updated.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object